Bug 141914 - document with chart set as modified (follow-up bug 31231)
Summary: document with chart set as modified (follow-up bug 31231)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.2.0 target:7.1.4 target:7.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: ModifiedStatus
  Show dependency treegraph
 
Reported: 2021-04-26 12:18 UTC by Xisco Faulí
Modified: 2021-04-28 13:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-04-26 12:18:50 UTC
This bug is basically bug 31231 which is reproducible again in master, but since bug 31231 has more than 40 comments, I decided to create a new report

Steps to reproduce:
1. Open attachment 39898 [details] from bug 31231

-> The document is set to modified without doing anything

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 5366811e24532ae0f6b124a2eb85021b59d47f4b
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-04-26 12:21:04 UTC
bug 31231 got fixed by

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3e6519714abebf00637c953dbba055d620cfe6f7

author	Mike Kaganski <mike.kaganski@collabora.com>	2020-07-20 19:00:13 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2020-07-20 21:22:48 +0200
commit 3e6519714abebf00637c953dbba055d620cfe6f7 (patch)
tree 58a9292c1ff167edd9e1620d205d5383bfff3e18
parent 4d41b22135904e81f847c1cbf00abc82a414095f (diff)
tdf#31231: don't set charts modified state when !IsEnableSetModified

and some weeks later it got reintroduced by

https://cgit.freedesktop.org/libreoffice/core/commit/?id=574eec9036c5f185b3572ba1e0ca9d111eb361dc

author	Mike Kaganski <mike.kaganski@collabora.com>	2020-09-12 17:22:23 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2020-09-15 06:09:04 +0200
commit 574eec9036c5f185b3572ba1e0ca9d111eb361dc (patch)
tree 1bb42b53b1b41fbaf87517fb268c08a834d3e0ba
parent abcc4eb907661e07ad850ccce7eb06f129da4286 (diff)
tdf#77007: chart must honor its parent's IsEnableSetModified

Bisected with: bibisect-linux64-7.1

Adding Cc: to Mike Kaganski
Comment 2 Xisco Faulí 2021-04-26 12:26:50 UTC
Same commit also introduced bug 140155
Comment 3 Mike Kaganski 2021-04-26 13:22:09 UTC
Thanks for filing this!

No, this is not bug 31231, it's a new regression :-)
https://gerrit.libreoffice.org/c/core/+/114666
Comment 4 Commit Notification 2021-04-26 18:31:41 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eeb2854e085fdd9f7a38d6e952a8aedf43e90323

tdf#141914: Allow to unset modified anyway

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-04-27 07:18:50 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/bde131ad18620dea03531c59893c99be09e3ce4e

tdf#141914: sc_bugfix: Add unittest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-04-27 07:27:18 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/ed12e778bffd38bf9691981436f912ff199e8ec8

tdf#141914: Allow to unset modified anyway

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2021-04-27 07:51:16 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: eeb2854e085fdd9f7a38d6e952a8aedf43e90323
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!! I guess we can close it as VERIFIED FIXED!!
Comment 8 Commit Notification 2021-04-28 13:26:51 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-3":

https://git.libreoffice.org/core/commit/f7e5b76a14731e09881e65830250bbb79c539048

tdf#141914: Allow to unset modified anyway

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Mike Kaganski 2021-04-28 13:39:36 UTC
(In reply to Xisco Faulí from comment #7)
> @Mike Kaganski, thanks for fixing this issue!! I guess we can close it as
> VERIFIED FIXED!!

I am sure we can, *after comment 5* it is truly *VERIFIED* :-)